Either delete a specific snapshot from your virtual machine (VM) or restore your VM to a previous state corresponding to a specific snapshot. Upon successful call, a jobId is returned for tracking the operation's status via GET /api/jobs/{jobId}.
path.vmid jobId → data.jobId vmid integer · min: 1 required
Example: 10000 Unique vmid identifier
action string · enum required
· Example: rollback delete rollback snapname string required
· Example: full-prox-konfig Accept Example Content-Type Example data object required data.action string · enum required
· Example: rollback delete rollback data.jobId string required
· Example: snapshot_rollback-18484-1769377616097 data.message string required
· Example: Snapshot rollback queued Human-readable message.
data.snapname string required
· Example: full-prox-konfig data.success boolean required
· Example: true True for successful responses.
requestId string required
· Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba Unique request identifier (UUID).
success boolean required
· Example: true True for successful responses.
timestamp string required
· Example: 2026-02-10T00:00:00.000Z ISO 8601 timestamp (UTC).
https://cloud.hostup.se/api/vm/{vmid}/snapshots curl -X DELETE "https://cloud.hostup.se/api/vm/10000/snapshots?action=rollback&snapname=full-prox-konfig" \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json" {
"success": true,
"timestamp": "2026-02-10T00:00:00.000Z",
"requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
"data": {
"success": true,
"jobId": "snapshot_rollback-18484-1769377616097",
"action": "rollback",
"snapname": "full-prox-konfig",
"message": "Snapshot rollback queued"
}
}